Gantry::Plugins::AutoCRUDHelper::DBIxClass(3)

NAME
Gantry::Plugins::AutoCRUDHelper::DBIxClass - the actual CRUD for DBIx::Class AutoCRUD

SYNOPSIS
This module is required for you by Gantry::Plugins::AutoCRUD, when your controller's get_orm_helper module returns 'Gantry::Plugins::AutoCRUDHelper::DBIxClass'. It supports models which inherit from DBIx::Class.

DESCRIPTION
Inside Gantry::Plugins::AutoCRUD, whenever actual database work needs to be done, your model is asked to supply a helper by calling get_orm_helper. If your models use DBIx::Class, you need to implement that method and have it return 'Gantry::Plugins::AutoCRUDHelper::DBIxClass'.

METHODS
The methods of this module are documented in Gantry::Plugins::AutoCRUD, but here is a list to keep POD testers happy:

insert
retrieve
update
delete

SEE ALSO
    Gantry::Plugins::AutoCRUDHelper
    Gantry::Plugins::AutoCRUDHelper::CDBI

AUTHOR
Phil Crow <philcrow2000@yahoo.com>

COPYRIGHT and LICENSE
Copyright (c) 2006, Phil Crow

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.